function [predict]=pred(real,predict);

for ii=1:length(predict)
 error(ii)=real(ii)-predict(ii);
end

plot(real,'--m','LineWidth',2)
hold on
plot(predict,'--c','LineWidth',2)
plot(error,'--r','LineWidth',2)
legend('real data','prediction','error')